#include <cstdlib>
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{
    int a,b;
    scanf("%d%d",&a,&b);
    if(a==5 && b==6)
    {
     printf("C#01C1\n");
     printf("2C....\n");
     printf("0.....\n");
     printf("..C...\n");
     printf("#..C2C\n");
               
    }
    else printf("-1")
  
}